function getcolumns(setdrawer) {
  return {
    columns: [
      {
        title: '操作时间',
        dataIndex: 'operateTime',
        key: 'operateTimeList',
        valueType: 'dateRange',
      },
      {
        title: '操作人',
        dataIndex: 'operateUserName',
        key: 'operateUserId',
        valueType: 'select',
        options: {
          path: '/auth/sysUser/selection',
          params: {},
        },
        hideInSearch: false,
        hideInTable: false,
      },
      {
        title: '备件料号',
        dataIndex: 'sparePartNo',
        key: 'sparePartNo',
        hideInSearch: false,
        hideInTable: false,
      },
      {
        title: '备件名',
        dataIndex: 'sparePartName',
        key: 'sparePartName',
      },
      {
        title: '供应商编号',
        dataIndex: 'supplierNo',
        key: 'supplierNo',
      },
      {
        title: '供应商名称',
        dataIndex: 'supplierName',
        key: 'supplierName',
      },
      {
        title: '库存单位',
        dataIndex: 'unit',
        key: 'unit',
        hideInSearch: true,
      },
      {
        title: '入库仓库',
        dataIndex: 'inWarehouseName',
        key: 'inWarehouseName',
      },
      {
        title: '出库仓库',
        dataIndex: 'outWarehouseName',
        key: 'outWarehouseName',
      },
      {
        title: '出入库类型',
        dataIndex: 'operateTypeName',
        key: 'operateTypeName',
      },
      {
        title: '操作后的备件库存',
        dataIndex: 'actualStock',
        key: 'actualStock',
        hideInSearch: true,
      },
      {
        title: '操作数量',
        dataIndex: 'operateNum',
        key: 'operateNum',
        hideInSearch: true,
      },
      {
        title: '相关单号',
        dataIndex: 'relationNo',
        key: 'relationNo',
      },
    ],
    pathconfig: {
      enableadd: false,
      enableedit: false,
      enabledelete: false,
      enabledetail: false,
      add: '',
      edit: '',
      list: '/sparepart/spareStockAccess/queryList',
      delete: '',
      detail: '',
    },
  };
}
export default getcolumns;
